[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Title

Contains the title for the application.

## Declaration

Source position: forms.pp line 1772

`public property TApplication.Title : string read GetTitle write SetTitle;`

## Description

The read and write access specifiers for the property are overridden in TApplication. Read access ensures that an empty title defaults to the file name (without path information) for the application executable file. Write access ensures that a new value for the property is applied to the widgetset class using its AppSetTitle method.

Remark: | For the macOS Carbon widgetset, Title cannot be changed at run-time. It must be changed in the Application Bundle.

## See also

TCustomApplication.Title